
// AcceptorControlDlg.cpp : implementation file
//---------------------------------------------
#include "stdafx.h"
#include "PCAcceptor.h"
#include "AcceptorControlDlg.h"
#include "PCAcceptorDlg.h"
#include "Identifier.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

// CAcceptorControlDlg dialog
//===========================

CAcceptorControlDlg::CAcceptorControlDlg(CWnd* pParent)	: CDialog(CAcceptorControlDlg::IDD, pParent)
//==================================================================================================
{
	//{{AFX_DATA_INIT(CAcceptorControlDlg)
	m_bAccept01 = FALSE;
	m_bAccept02 = FALSE;
	m_bAccept03 = FALSE;
	m_bAccept04 = FALSE;
	m_bAccept05 = FALSE;
	m_bAccept06 = FALSE;
	m_bAccept07 = FALSE;
	m_bAccept08 = FALSE;
	m_bAccept09 = FALSE;
	m_bAccept10 = FALSE;
	m_bAccept11 = FALSE;
	m_bAccept12 = FALSE;
	m_bAccept13 = FALSE;
	m_bAccept14 = FALSE;
	m_bAccept15 = FALSE;
	m_bAccept16 = FALSE;
	m_bDispense01 = FALSE;
	m_bDispense02 = FALSE;
	m_bDispense03 = FALSE;
	m_bDispense04 = FALSE;
	m_bDispense05 = FALSE;
	m_bDispense06 = FALSE;
	m_bDispense07 = FALSE;
	m_bDispense08 = FALSE;
	m_bDispense09 = FALSE;
	m_bDispense10 = FALSE;
	m_bDispense11 = FALSE;
	m_bDispense12 = FALSE;
	m_bDispense13 = FALSE;
	m_bDispense14 = FALSE;
	m_bDispense15 = FALSE;
	m_bDispense16 = FALSE;
	m_bFeature1 = FALSE;
	m_bFeature2 = FALSE;
	m_bFeature3 = FALSE;
	m_bFeature4 = FALSE;
	//}}AFX_DATA_INIT
}

void CAcceptorControlDlg::DoDataExchange(CDataExchange* pDX)
//==========================================================
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CAcceptorControlDlg)
	DDX_Check(pDX, IDC_ACCEPT_1, m_bAccept01);
	DDX_Check(pDX, IDC_ACCEPT_2, m_bAccept02);
	DDX_Check(pDX, IDC_ACCEPT_3, m_bAccept03);
	DDX_Check(pDX, IDC_ACCEPT_4, m_bAccept04);
	DDX_Check(pDX, IDC_ACCEPT_5, m_bAccept05);
	DDX_Check(pDX, IDC_ACCEPT_6, m_bAccept06);
	DDX_Check(pDX, IDC_ACCEPT_7, m_bAccept07);
	DDX_Check(pDX, IDC_ACCEPT_8, m_bAccept08);
	DDX_Check(pDX, IDC_ACCEPT_9, m_bAccept09);
	DDX_Check(pDX, IDC_ACCEPT_10, m_bAccept10);
	DDX_Check(pDX, IDC_ACCEPT_11, m_bAccept11);
	DDX_Check(pDX, IDC_ACCEPT_12, m_bAccept12);
	DDX_Check(pDX, IDC_ACCEPT_13, m_bAccept13);
	DDX_Check(pDX, IDC_ACCEPT_14, m_bAccept14);
	DDX_Check(pDX, IDC_ACCEPT_15, m_bAccept15);
	DDX_Check(pDX, IDC_ACCEPT_16, m_bAccept16);
	DDX_Check(pDX, IDC_DISPENCE_1, m_bDispense01);
	DDX_Check(pDX, IDC_DISPENCE_2, m_bDispense02);
	DDX_Check(pDX, IDC_DISPENCE_3, m_bDispense03);
	DDX_Check(pDX, IDC_DISPENCE_4, m_bDispense04);
	DDX_Check(pDX, IDC_DISPENCE_5, m_bDispense05);
	DDX_Check(pDX, IDC_DISPENCE_6, m_bDispense06);
	DDX_Check(pDX, IDC_DISPENCE_7, m_bDispense07);
	DDX_Check(pDX, IDC_DISPENCE_8, m_bDispense08);
	DDX_Check(pDX, IDC_DISPENCE_9, m_bDispense09);
	DDX_Check(pDX, IDC_DISPENCE_10, m_bDispense10);
	DDX_Check(pDX, IDC_DISPENCE_11, m_bDispense11);
	DDX_Check(pDX, IDC_DISPENCE_12, m_bDispense12);
	DDX_Check(pDX, IDC_DISPENCE_13, m_bDispense13);
	DDX_Check(pDX, IDC_DISPENCE_14, m_bDispense14);
	DDX_Check(pDX, IDC_DISPENCE_15, m_bDispense15);
	DDX_Check(pDX, IDC_DISPENCE_16, m_bDispense16);
	DDX_Check(pDX, IDC_FEATURE_1, m_bFeature1);
	DDX_Check(pDX, IDC_FEATURE_2, m_bFeature2);
	DDX_Check(pDX, IDC_FEATURE_3, m_bFeature3);
	DDX_Check(pDX, IDC_FEATURE_4, m_bFeature4);
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CAcceptorControlDlg, CDialog)
	//{{AFX_MSG_MAP(CAcceptorControlDlg)
	ON_WM_DESTROY()
	ON_BN_CLICKED(IDC_ACCEPTOR_ENABLE, OnAcceptorEnable)
	ON_BN_CLICKED(IDC_ACCEPTOR_DISABLE, OnAcceptorDisable)
	ON_BN_CLICKED(IDC_ACCEPTOR_RESET, OnAcceptorReset)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

// CAcceptorControlDlg message handlers
//-------------------------------------

BOOL CAcceptorControlDlg::OnInitDialog() 
//======================================
{
	DWORD dwTemporary;
	CWinApp* pApp=AfxGetApp();
	CDialog::OnInitDialog();
	dwTemporary=pApp->GetProfileInt(REG_ACCEPTOR_CONTROL_DLG,REG_COIN_ACCEPT,0);
	m_bAccept01=((dwTemporary&0x00000001)!=0);
	m_bAccept02=((dwTemporary&0x00000002)!=0);
	m_bAccept03=((dwTemporary&0x00000004)!=0);
	m_bAccept04=((dwTemporary&0x00000008)!=0);
	m_bAccept05=((dwTemporary&0x00000010)!=0);
	m_bAccept06=((dwTemporary&0x00000020)!=0);
	m_bAccept07=((dwTemporary&0x00000040)!=0);
	m_bAccept08=((dwTemporary&0x00000080)!=0);
	m_bAccept09=((dwTemporary&0x00000100)!=0);
	m_bAccept10=((dwTemporary&0x00000200)!=0);
	m_bAccept11=((dwTemporary&0x00000400)!=0);
	m_bAccept12=((dwTemporary&0x00000800)!=0);
	m_bAccept13=((dwTemporary&0x00001000)!=0);
	m_bAccept14=((dwTemporary&0x00002000)!=0);
	m_bAccept15=((dwTemporary&0x00004000)!=0);
	m_bAccept16=((dwTemporary&0x00008000)!=0);
	dwTemporary=pApp->GetProfileInt(REG_ACCEPTOR_CONTROL_DLG,REG_COIN_DISPENSE,0);
	m_bDispense01=((dwTemporary&0x00000001)!=0);
	m_bDispense02=((dwTemporary&0x00000002)!=0);
	m_bDispense03=((dwTemporary&0x00000004)!=0);
	m_bDispense04=((dwTemporary&0x00000008)!=0);
	m_bDispense05=((dwTemporary&0x00000010)!=0);
	m_bDispense06=((dwTemporary&0x00000020)!=0);
	m_bDispense07=((dwTemporary&0x00000040)!=0);
	m_bDispense08=((dwTemporary&0x00000080)!=0);
	m_bDispense09=((dwTemporary&0x00000100)!=0);
	m_bDispense10=((dwTemporary&0x00000200)!=0);
	m_bDispense11=((dwTemporary&0x00000400)!=0);
	m_bDispense12=((dwTemporary&0x00000800)!=0);
	m_bDispense13=((dwTemporary&0x00001000)!=0);
	m_bDispense14=((dwTemporary&0x00002000)!=0);
	m_bDispense15=((dwTemporary&0x00004000)!=0);
	m_bDispense16=((dwTemporary&0x00008000)!=0);
	dwTemporary=pApp->GetProfileInt(REG_ACCEPTOR_CONTROL_DLG,REG_FEATURE_ENABLE,0);
	m_bFeature1=((dwTemporary&0x00000001)!=0);
	m_bFeature2=((dwTemporary&0x00000002)!=0);
	m_bFeature3=((dwTemporary&0x00000004)!=0);
	m_bFeature4=((dwTemporary&0x00000008)!=0);
	UpdateData(false);
	return TRUE;
}

void CAcceptorControlDlg::OnDestroy() 
//===================================
{
	DWORD dwTemporary;
	CWinApp* pApp=AfxGetApp();
	CDialog::OnOK();
	UpdateData(true);
	dwTemporary=0;
	if (m_bAccept01)
	{
		dwTemporary|=0x00000001;
	}
	if (m_bAccept02)
	{
		dwTemporary|=0x00000002;
	}
	if (m_bAccept03)
	{
		dwTemporary|=0x00000004;
	}
	if (m_bAccept04)
	{
		dwTemporary|=0x00000008;
	}
	if (m_bAccept05)
	{
		dwTemporary|=0x00000010;
	}
	if (m_bAccept06)
	{
		dwTemporary|=0x00000020;
	}
	if (m_bAccept07)
	{
		dwTemporary|=0x00000040;
	}
	if (m_bAccept08)
	{
		dwTemporary|=0x00000080;
	}
	if (m_bAccept09)
	{
		dwTemporary|=0x00000100;
	}
	if (m_bAccept10)
	{
		dwTemporary|=0x00000200;
	}
	if (m_bAccept11)
	{
		dwTemporary|=0x00000400;
	}
	if (m_bAccept12)
	{
		dwTemporary|=0x00000800;
	}
	if (m_bAccept13)
	{
		dwTemporary|=0x00001000;
	}
	if (m_bAccept14)
	{
		dwTemporary|=0x00002000;
	}
	if (m_bAccept15)
	{
		dwTemporary|=0x00004000;
	}
	if (m_bAccept16)
	{
		dwTemporary|=0x00008000;
	}
	pApp->WriteProfileInt(REG_ACCEPTOR_CONTROL_DLG,REG_COIN_ACCEPT,dwTemporary);
	dwTemporary=0;
	if (m_bDispense01)
	{
		dwTemporary|=0x00000001;
	}
	if (m_bDispense02)
	{
		dwTemporary|=0x00000002;
	}
	if (m_bDispense03)
	{
		dwTemporary|=0x00000004;
	}
	if (m_bDispense04)
	{
		dwTemporary|=0x00000008;
	}
	if (m_bDispense05)
	{
		dwTemporary|=0x00000010;
	}
	if (m_bDispense06)
	{
		dwTemporary|=0x00000020;
	}
	if (m_bDispense07)
	{
		dwTemporary|=0x00000040;
	}
	if (m_bDispense08)
	{
		dwTemporary|=0x00000080;
	}
	if (m_bDispense09)
	{
		dwTemporary|=0x00000100;
	}
	if (m_bDispense10)
	{
		dwTemporary|=0x00000200;
	}
	if (m_bDispense11)
	{
		dwTemporary|=0x00000400;
	}
	if (m_bDispense12)
	{
		dwTemporary|=0x00000800;
	}
	if (m_bDispense13)
	{
		dwTemporary|=0x00001000;
	}
	if (m_bDispense14)
	{
		dwTemporary|=0x00002000;
	}
	if (m_bDispense15)
	{
		dwTemporary|=0x00004000;
	}
	if (m_bDispense16)
	{
		dwTemporary|=0x00008000;
	}
	pApp->WriteProfileInt(REG_ACCEPTOR_CONTROL_DLG,REG_COIN_DISPENSE,dwTemporary);
	dwTemporary=0;
	if (m_bFeature1)
	{
		dwTemporary|=0x00000001;
	}
	if (m_bFeature2)
	{
		dwTemporary|=0x00000002;
	}
	if (m_bFeature3)
	{
		dwTemporary|=0x00000004;
	}
	if (m_bFeature4)
	{
		dwTemporary|=0x00000008;
	}
	pApp->WriteProfileInt(REG_ACCEPTOR_CONTROL_DLG,REG_FEATURE_ENABLE,dwTemporary);
}

void CAcceptorControlDlg::OnAcceptorEnable() 
//==========================================
{
	CPCAcceptorDlg* pParent=(CPCAcceptorDlg*)GetParent();
	pParent->SetState(ACCEPTOR_CoinTypeEnable);
}

void CAcceptorControlDlg::OnAcceptorDisable() 
//===========================================
{
	CPCAcceptorDlg* pParent=(CPCAcceptorDlg*)GetParent();
	pParent->SetState(ACCEPTOR_CoinTypeDisable);
}

void CAcceptorControlDlg::OnAcceptorReset() 
//=========================================
{
	CPCAcceptorDlg* pParent=(CPCAcceptorDlg*)GetParent();
	pParent->SetState(ACCEPTOR_Idle);
}
