
// TubeStatusDlg.cpp : implementation file
//----------------------------------------
#include "stdafx.h"
#include "PCAcceptor.h"
#include "TubeStatusDlg.h"
#include "PCAcceptorDlg.h"
#include "Swap.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

// CTubeStatusDlg dialog
//----------------------

CTubeStatusDlg::CTubeStatusDlg(CWnd* pParent) : CDialog(CTubeStatusDlg::IDD, pParent)
//===================================================================================
{
	//{{AFX_DATA_INIT(CTubeStatusDlg)
	m_strTubeStatus01 = _T("");
	m_strTubeStatus03 = _T("");
	m_strTubeStatus02 = _T("");
	m_strTubeStatus04 = _T("");
	m_strTubeStatus05 = _T("");
	m_strTubeStatus06 = _T("");
	m_strTubeStatus07 = _T("");
	m_strTubeStatus08 = _T("");
	m_strTubeStatus09 = _T("");
	m_strTubeStatus10 = _T("");
	m_strTubeStatus11 = _T("");
	m_strTubeStatus12 = _T("");
	m_strTubeStatus13 = _T("");
	m_strTubeStatus14 = _T("");
	m_strTubeStatus15 = _T("");
	m_strTubeStatus16 = _T("");
	//}}AFX_DATA_INIT
}

void CTubeStatusDlg::DoDataExchange(CDataExchange* pDX)
//=====================================================
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CTubeStatusDlg)
	DDX_Text(pDX, IDC_TUBE_STATUS_1, m_strTubeStatus01);
	DDX_Text(pDX, IDC_TUBE_STATUS_3, m_strTubeStatus03);
	DDX_Text(pDX, IDC_TUBE_STATUS_2, m_strTubeStatus02);
	DDX_Text(pDX, IDC_TUBE_STATUS_4, m_strTubeStatus04);
	DDX_Text(pDX, IDC_TUBE_STATUS_5, m_strTubeStatus05);
	DDX_Text(pDX, IDC_TUBE_STATUS_6, m_strTubeStatus06);
	DDX_Text(pDX, IDC_TUBE_STATUS_7, m_strTubeStatus07);
	DDX_Text(pDX, IDC_TUBE_STATUS_8, m_strTubeStatus08);
	DDX_Text(pDX, IDC_TUBE_STATUS_9, m_strTubeStatus09);
	DDX_Text(pDX, IDC_TUBE_STATUS_10, m_strTubeStatus10);
	DDX_Text(pDX, IDC_TUBE_STATUS_11, m_strTubeStatus11);
	DDX_Text(pDX, IDC_TUBE_STATUS_12, m_strTubeStatus12);
	DDX_Text(pDX, IDC_TUBE_STATUS_13, m_strTubeStatus13);
	DDX_Text(pDX, IDC_TUBE_STATUS_14, m_strTubeStatus14);
	DDX_Text(pDX, IDC_TUBE_STATUS_15, m_strTubeStatus15);
	DDX_Text(pDX, IDC_TUBE_STATUS_16, m_strTubeStatus16);
	//}}AFX_DATA_MAP
}

void CTubeStatusDlg::FormatTubeStatus(DWORD dwIndex, CString& strText) 
//====================================================================
{
	DWORD dwCoinValue;
	CPCAcceptorDlg* pParent=(CPCAcceptorDlg*)GetParent();
	ACCEPTOR_STATUS* pAcceptorStatus=pParent->GetStatus();
	ACCEPTOR_TUBESTATUS* pTubeStatus=pParent->GetTubeStatus();
	dwCoinValue=pAcceptorStatus->CoinTypeCredit[dwIndex]*pAcceptorStatus->ScalingFactor;
	if (pTubeStatus->TubeStatus[dwIndex]!=0)
	{
		strText.Format(_T(" %u x %u"),pTubeStatus->TubeStatus[dwIndex],dwCoinValue);
		if (((SwapWORD(pTubeStatus->wTubeFullStatus))&(1<<dwIndex))!=0)
		{
			strText+=_T(" (Full)");
		}
	}
	else
	{
		strText=_T(" ---");
	}
}

BEGIN_MESSAGE_MAP(CTubeStatusDlg, CDialog)
	//{{AFX_MSG_MAP(CTubeStatusDlg)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

// CTubeStatusDlg message handlers
//--------------------------------

BOOL CTubeStatusDlg::OnInitDialog() 
//=================================
{
	CDialog::OnInitDialog();
	FormatTubeStatus(0,m_strTubeStatus01);
	FormatTubeStatus(1,m_strTubeStatus02);
	FormatTubeStatus(2,m_strTubeStatus03);
	FormatTubeStatus(3,m_strTubeStatus04);
	FormatTubeStatus(4,m_strTubeStatus05);
	FormatTubeStatus(5,m_strTubeStatus06);
	FormatTubeStatus(6,m_strTubeStatus07);
	FormatTubeStatus(7,m_strTubeStatus08);
	FormatTubeStatus(8,m_strTubeStatus09);
	FormatTubeStatus(9,m_strTubeStatus10);
	FormatTubeStatus(10,m_strTubeStatus11);
	FormatTubeStatus(11,m_strTubeStatus12);
	FormatTubeStatus(12,m_strTubeStatus13);
	FormatTubeStatus(13,m_strTubeStatus14);
	FormatTubeStatus(14,m_strTubeStatus15);
	FormatTubeStatus(15,m_strTubeStatus16);
	UpdateData(false);
	return TRUE;
}
